Subject: AW: [Tsvwg] what is a 'sufficiently' long idle period ?

From: Meyknecht Bernward <[email-masked]>
Date: Tue, 8 Jun 2004 15:04:37 +0200

Hi Randy,

thanks for your reply, yes these cwnd reduction things look strange
for me in some aspects...

As long as my burst limit allows me to send as much data as the actual 
reduced cwnd would allow, in this case, I would be content with 
skipping all these cwnd reduction things, and if you set the 
cwnd to small 2*mtu, this will be the case.

Anyhow I don't like the immediate reduction to 2*mtu after a single 
rto, reduction to min (4*MTU, max (2*MTU, 4380 bytes)) looks 
more logical to me, and... without having a closer look.. I still 
like the idea of setting cwnd to cwnd/2 per rto til 
min (4*MTU, max (2*MTU, 4380 bytes)) is reached. For the case where
a big cwnd/2 still allows to send more than my burst limit 
would allow.

Best regards,
Bernward

-----Ursprungliche Nachricht-----
Von: Randall R. Stewart (home) [mailto:[email-masked]]
Gesendet: Dienstag, 8. Juni 2004 14:28
An: Meyknecht Bernward
Cc: [email-masked]
Betreff: Re: [Tsvwg] what is a 'sufficiently' long idle period ?

Bernward:

IMO you really do not need to do the cwnd reduction if
you are applying a burst limit... this whole reduction thing (I think)
needs to be revisited with respect to burst limit and of course
how long it takes to degrade the cwnd...

R

Meyknecht Bernward wrote:

>Hi all,
>
>in SCTP RFC and Implem. Guide there's a sentence telling me how to initialize the 
>cwnd after a 'sufficiently' long idle period.
>
>Does anyone have a proposal what could be a good value for 'sufficiently' ?
>5, 10, 20 times RTO ? ....
>
>Text from ch. 2.30 / implem. guide:
>--------- New text: (Section 7.2.1) --------- o 
>The initial cwnd before DATA transmission or after a sufficiently long idle period 
>MUST be set to min (4*MTU, max (2*MTU, 4380 bytes)). 
>
>--- --- ---
>
>And how does this match ch. 2.14 from implem guide, where I'm told to set cwnd 
>to 2*MTU after one RTO, which could be less than the value from above.
>Does the formula from 2.30 replace the one from 2.14?
>
>Text from ch. 2.14 / implem. guide:
>--------- New text: (Section 7.2.1) --------- o 
>When the association does not transmit data on a given transport address within an RTO, 
>the cwnd of the transport address SHOULD be adjusted to 2*MTU. 
>
>Maybe someone has some idea...
>
>
>Best regards,
>
>Bernward
>
>
>
>_______________________________________________
>tsvwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/tsvwg
>
>
>  
>

-- 
Randall R. Stewart
815-477-2127 (office)
815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg